Summary: 	Mercurial -- a distributed SCM
Name: 		mercurial
Version: 	1.5
Release: 	2.2
License: 	GPL
Group: 		Development/Tools
Source: 	http://www.selenic.com/mercurial/release/%{name}-%{version}.tar.bz2
Patch:		mercurial-1.3-glibc-24-older.patch
URL: 		http://www.selenic.com/mercurial
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}

# From the README:
#
#   Note: some distributions fails to include bits of distutils by
#   default, you'll need python-dev to install. You'll also need a C
#   compiler and a 3-way merge tool like merge, tkdiff, or kdiff3.
#
# python-devel provides an adequate python-dev.  The merge tool is a
# run-time dependency.
#
BuildRequires: python >= 2.4, python-devel make gcc asciidoc xmlto

%define pythonver %(python -c 'import sys;print ".".join(map(str, sys.version_info[:2]))')
%define pythonlib %{_libdir}/python%{pythonver}/site-packages/%{name}
%define hgext %{_libdir}/python%{pythonver}/site-packages/hgext

%description
Mercurial is a fast, lightweight source control management system designed
for efficient handling of very large distributed projects.

%prep
%setup -q
%if 0%{?suse_version} <= 1010
%patch0
%endif

%build
%{__make} all

%install
python setup.py install --root $RPM_BUILD_ROOT --prefix %{_prefix}
%{__make} install-doc DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}

%{__install} contrib/hgk          $RPM_BUILD_ROOT%{_bindir}
%{__install} contrib/convert-repo $RPM_BUILD_ROOT%{_bindir}/mercurial-convert-repo
%{__install} contrib/hg-ssh       $RPM_BUILD_ROOT%{_bindir}
%{__install} contrib/git-viz/{hg-viz,git-rev-tree} $RPM_BUILD_ROOT%{_bindir}

bash_completion_dir=$RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
mkdir -p $bash_completion_dir
%{__install} contrib/bash_completion $bash_completion_dir/mercurial.sh

zsh_completion_dir=$RPM_BUILD_ROOT%{_datadir}/zsh/site-functions
mkdir -p $zsh_completion_dir
%{__install} contrib/zsh_completion $zsh_completion_dir/_mercurial

lisp_dir=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
mkdir -p $lisp_dir
%{__install} contrib/mercurial.el $lisp_dir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CONTRIBUTORS COPYING doc/README doc/hg*.txt doc/hg*.html *.cgi
%{_mandir}/man?/hg*.gz
%dir %{pythonlib}
%dir %{hgext}
%{_sysconfdir}/bash_completion.d/mercurial.sh
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_mercurial
%{_datadir}/emacs/site-lisp/mercurial.el
%{_bindir}/hg
%{_bindir}/hgk
%{_bindir}/hg-ssh
%{_bindir}/hg-viz
%{_bindir}/git-rev-tree
%{_bindir}/mercurial-convert-repo
%{pythonlib}/templates
%{pythonlib}/*.py*
%if 0%{?suse_version} > 1010
%{py_libdir}/site-packages/mercurial-%{version}-py%{py_ver}.egg-info
##%{py_libdir}/site-packages/mercurial-unknown-py%{py_ver}.egg-info
%{py_libdir}/site-packages/hgext/inotify/*.py*
%{py_libdir}/site-packages/hgext/inotify/linux/*.py*
%{py_libdir}/site-packages/hgext/inotify/linux/*.so
%dir %{hgext}/inotify
%dir %{hgext}/inotify/linux
%endif
%{py_libdir}/site-packages/hgext/highlight/*.py*
%{py_libdir}/site-packages/hgext/zeroconf/*.py*
%dir %{py_libdir}/site-packages/mercurial/hgweb
##%dir %{py_libdir}/site-packages/mercurial/i18n
%dir %{py_libdir}/site-packages/mercurial/locale
%dir %{py_libdir}/site-packages/mercurial/locale/da
%dir %{py_libdir}/site-packages/mercurial/locale/de
%dir %{py_libdir}/site-packages/mercurial/locale/el
%dir %{py_libdir}/site-packages/mercurial/locale/fr
%dir %{py_libdir}/site-packages/mercurial/locale/ja
%dir %{py_libdir}/site-packages/mercurial/locale/it
%dir %{py_libdir}/site-packages/mercurial/locale/pt_BR
%dir %{py_libdir}/site-packages/mercurial/locale/zh_CN
%dir %{py_libdir}/site-packages/mercurial/locale/zh_TW
%dir %{py_libdir}/site-packages/mercurial/locale/sv
%dir %{py_libdir}/site-packages/mercurial/locale/da/LC_MESSAGES
%dir %{py_libdir}/site-packages/mercurial/locale/de/LC_MESSAGES
%dir %{py_libdir}/site-packages/mercurial/locale/el/LC_MESSAGES
%dir %{py_libdir}/site-packages/mercurial/locale/fr/LC_MESSAGES
%dir %{py_libdir}/site-packages/mercurial/locale/ja/LC_MESSAGES
%dir %{py_libdir}/site-packages/mercurial/locale/it/LC_MESSAGES
%dir %{py_libdir}/site-packages/mercurial/locale/pt_BR/LC_MESSAGES
%dir %{py_libdir}/site-packages/mercurial/locale/zh_CN/LC_MESSAGES
%dir %{py_libdir}/site-packages/mercurial/locale/zh_TW/LC_MESSAGES
%dir %{py_libdir}/site-packages/mercurial/locale/sv/LC_MESSAGES
%dir %{py_libdir}/site-packages/mercurial/help
%{py_libdir}/site-packages/mercurial/hgweb/*.py*
##%{py_libdir}/site-packages/mercurial/i18n/*.po
##%{py_libdir}/site-packages/mercurial/i18n/hggettext
%{py_libdir}/site-packages/mercurial/locale/*/LC_MESSAGES/hg.mo
%{py_libdir}/site-packages/mercurial/help/*.txt
%{pythonlib}/*.so
%{hgext}/*.py*
%{hgext}/convert/*.py*
%dir %{hgext}/convert
%dir %{hgext}/highlight
%dir %{hgext}/zeroconf

%changelog
* Mon Mar 08 2010 Carsten Schoene <cs@linux-administrator.com> - 1.5.0-1
- update to release 1.5

* Mon Dec 14 2009 Carsten Schoene <cs@linux-administrator.com> - 1.4.1-1
- new release 1.4.1
 
* Sat Jul 25 2009 Carsten Schoene <cs@linux-administrator.com> - 1.3.1-1
- new release 1.3.1
 - fix excessive memory usage issues with diff and strip
 - fix slow SSH performance on Mac OS X
 - fix slow calculation of branch heads

* Sun Jul 05 2009 Carsten Schoene <cs@linux-administrator.com> - 1.3.0-1
- new release 1.3.0
 - Numerous feature enhancements, including experimental support for subrepositories

* Tue Mar 24 2009 Carsten Schoene <cs@linux-administrator.com> - 1.2.1-1
- new release 1.2.1
 - This is a bugfix release that corrects the version number when building from a tarball
 - It has fixes for the allow_read logic for hgweb, diff against bundles, diffstat with notify and "synthetic file adds" in CVS conversion
 - Improvements were made to the handling of damaged revlogs in verify
 - When resolving, .orig files are now kept, and the resolve state is cleared properly when rebasing
 - The handling of the --command option to bisect was improved
 - The fetch extension now works better with inactive branches

* Sun Mar 22 2009 Carsten Schoene <cs@linux-administrator.com> - 1.2-1
- new release 1.2
 - This release adds support for explicit closing of named branches
 - Mercurial now accepts options given after arguments on the commandline
 - Translation support and initial Danish, Chinese, Japanese, and Italian translations were added
 - Optional pure-Python versions of the C modules were added
 - Pending changesets can now be accessed safely from hooks
 - The convert extension can now read Perforce sources
 - Many improvements were made to the documentation and online help topics

* Thu Jan 01 2009 Carsten Schoene <cs@linux-administrator.com>
- new release 1.1.2
 - The path auditing was improved
 - some date-related test failures in test suite were fixed
 - graph controls were added to the monoblue theme

* Sun Dec 21 2008 Carsten Schoene <cs@linux-administrator.com>
- new release 1.1.1
 - The resolve command now requires a -a switch to resolve all files and its help text has been improved
 - Recursion was made optional for hgweb; it is triggered by "**" rather than "*"
 - A fncache bug affecting directories ending in " " or "." was fixed
 - Non-existing directories are now created as needed when applying patches
 - A copy bug was fixed in the SVN converter
 - Branch names may now be kept when using the rebase extension

* Sun Dec 07 2008 Carsten Schoene <cs@linux-administrator.com>
- new release 1.1.0
 - This release comes with several new extensions,
   including support for rebasing changesets and (local-only)
   git-like branches called bookmarks.
 - The Web interface has a new canvas-based repository graph and a new default theme.
 - Some modules have been rewritten in C for greater speed
 - the status and diff command have been made faster (especially on Windows).
 - A new repository layout improves support for very long filenames under Windows.
 - A new resolve command enables better tracking of in-progress merges.

* Sat Aug 23 2008 Carsten Schoene <cs@linux-administrator.com>
- new release 1.0.2
 - Two security issues were fixed: 
   git patches could touch files outside the repository (CVE-2008-2942) and 
   the "allowpull" permission was ignored by hgweb. 
 - Python 2.3 compatibility has been fixed. 
 - Copies of previously deleted files are now handled correctly when committing. 
 - MQ patches and .hgtags were made hard-link safe again. 
 - The convert extension has been updated to work with Subversion 1.5 and git 1.5.6.5. 
 - There are various documentation fixes.

* Sun Jun 29 2008 Carsten Schoene <cs@linux-administrator.com>
- new release 1.0.1

* Tue Mar 25 2008 Carsten Schoene <cs@linux-administrator.com>
- initial build

